import Purchase, {TabType} from '@/components/composites/purchase'
import Page from '@/components/page'

export type PurchasePageProps = {
  searchParams?: Promise<{
    type?: TabType
  }>
}

export default async function PurchasePage(props: PurchasePageProps) {
  return (
    <Page className="flex-col">
      <Purchase defaultTab={(await props.searchParams)?.type ?? 'short'}/>
    </Page>
  )
}
